##############################################################################
#
#    External Jobs, for Odoo
#    Copyright (C) 2019 XCG Consulting (http://odoo.consulting)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from odoo import fields, models


class ExtrunnerServer(models.Model):
    _name = "external_job.extrunner_server"
    _description = "Extrunner Server"

    _rec_name = "base_url"

    base_url = fields.Char(
        string="Base URL", help="Base URL of the extrunner service."
    )

    user_login = fields.Char(
        string="User login", help="Extrunner user login for this job."
    )

    user_password = fields.Char(
        string="User password", help="Extrunner user password for this job."
    )
