from odoo import api, fields, models

from odoo.addons.external_job.models.job_definition import JobDefinition


class Jobrunner(models.TransientModel):
    """A job runner is responsible to propose a choice to the user
    filtered contextualy to only propose jobs that have a definition
    related to the current object
    """

    _name = "external_job.jobrunner"

    job_definition_id = fields.Many2one(
        comodel_name="external_job.job_definition", string="Job definition"
    )

    @api.multi
    def run_job(self):
        result = self.mapped("job_definition_id").run_job()
        return JobDefinition.return_joblog_act_window(result)
